/// <reference types="react" />
import { UiRadioGroupConfig } from "../generated/UiRadioGroupConfig";
import { UiRadioButtonConfig } from "../generated/UiRadioButtonConfig";
import { AbstractUiReactField } from "./AbstractUiReactField";
export declare class UiRadioGroup extends AbstractUiReactField<UiRadioGroupConfig, string> {
    protected render(): JSX.Element;
    private renderRadioButton;
    addButton(button: UiRadioButtonConfig): void;
    removeButton(value: string): void;
    isValidData(v: String): boolean;
    valuesChanged(v1: String, v2: String): boolean;
}
